body {
  background-color: #000000;
  overflow-x: hidden;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Inter", sans-serif;
  scroll-behavior: smooth;
}
.logo {
  width: 1100px;
  height: auto;
  object-fit: contain;
  user-select: none;
  pointer-events: none;
}

.cover {
  width: 100%;
  height: 100vh;
  background-image: url("./assets/slidevs.gif");
  background-size: cover;
  background-position: center;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2rem;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 12;
  animation: slideUp 1.1s ease-out 1.1s forwards;
}

@keyframes slideUp {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(-100%);
  }
}

.cards-container {
  position: relative;
  display: flex;
  gap: 120px;
  background: linear-gradient(rgba(0, 0, 0, 0.9), rgba(0, 0, 0, 0.9)),
    url("https://i.pinimg.com/736x/12/54/ee/1254eef143dc7a7bab3fd9be1c22305d.jpg");
  background-size: contain;
  padding: 70px;
  justify-content: center;
  z-index: 11;
}
.main-card {
  position: relative;
  width: 356px;
  height: 509px;
  border-radius: 57px;
  background: #ccc;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  background-image: url(./assets/solo.png);
  background-size: cover;
  background-position: right;
}
.main-card1 {
  position: relative;
  width: 356px;
  height: 509px;
  border-radius: 57px;
  background: #ccc;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  background-image: url(./assets/gojo.png);
  background-size: cover;
  background-position: right;
}
.main-card2 {
  position: relative;
  width: 356px;
  height: 509px;
  border-radius: 57px;
  background: #ccc;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  background-image: url(./assets/op.png);
  background-size: cover;
  background-position: right;
}
.gradient-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: linear-gradient(
    to bottom,
    rgba(94, 94, 94, 0) 0%,
    rgba(47, 47, 47, 0.5) 35%,
    rgba(0, 0, 0, 1) 90%
  );
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.gradient-overlay:hover {
  background: linear-gradient(
    to bottom,
    rgba(94, 94, 94, 0) 0%,
    rgba(47, 47, 47, 0.5) 25%,
    rgba(0, 0, 0, 1) 90%
  );
}
.tiny-card {
  position: absolute;
  top: 220px;
  left: 30px;
  width: 105px;
  height: 147px;
  border-radius: 18px;
  background: white;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-image: url(./assets/solocover.jpeg);
  background-size: cover;
}
.tiny-card1 {
  position: absolute;
  top: 220px;
  left: 30px;
  width: 105px;
  height: 147px;
  border-radius: 18px;
  background: white;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-image: url(./assets/jjkcover.jpg);
  background-size: cover;
}
.tiny-card2 {
  position: absolute;
  top: 220px;
  left: 30px;
  width: 105px;
  height: 147px;
  border-radius: 18px;
  background: white;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-image: url(./assets/opcover.png);
  background-size: cover;
}
.text-container {
  position: absolute;
  bottom: 92px;
  color: white;
  display: flex;
  gap: 80px;
  font-size: 18px;
  font-weight: bold;
}
.order-btn {
  position: absolute;
  bottom: 10px;
  background: #ffffff;
  color: rgb(0, 0, 0);
  border: none;
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
  margin-bottom: 20px;
  position: relative;
  z-index: 2;
}
.order-btn:hover {
  background: #3e3e3e;
  color: #ffff;
}

.section {
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 99%;
  padding: 10px 10px;
  display: flex;
  justify-content: space-between;
  gap: 30px;
  align-items: center;
  background-color: rgb(0, 0, 0);
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  z-index: 10;
}

.logo1 {
  width: 142px;
  height: auto;
  user-select: none;
  pointer-events: none;
}

#nav-links {
  display: flex;
  gap: 80px;
}

#nav-links a {
  text-decoration: none;
  color: #fff;
  font-size: 24px;
  font-weight: 200;
  transition: color 0.3s ease;
}

#nav-links a:hover {
  color: #c74441;
}

.explore-wrapper {
  display: flex;
  align-items: center;
}

.explore-btn {
  display: flex;
  align-items: center;
  background-color: #c74441;
  color: white;
  padding: 10px 6px 10px 23px;
  font-size: 16px;
  font-weight: bold;
  border: none;
  border-radius: 30px;
  cursor: pointer;
  transition: background-color 0.3s ease;
  width: 173px;
  height: 56px;
  justify-content: space-between;
}

h3 {
  font-size: 24px;
}

.circle {
  width: 45px;
  height: 45px;
  background-color: white;
  color: black;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  border-radius: 50%;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.explore-btn:hover {
  background-color: #742220;
}

.explore-btn:hover .circle {
  background-color: black;
  color: white;
}

.hamburger {
  display: none;
  font-size: 22px;
  color: white;
  cursor: pointer;
}

#second-part {
  background-color: #f4f4f4;
  text-align: center;
  z-index: 11;
}

.split-container1 {
  display: flex;
  width: 100%;
  height: 100vh;
  position: relative;
}

.left-side1 {
  width: 50%;
  background-color: #c74441;
  height: 100%;
  background-image: url(./assets/Smash\ Kimetsu\ No\ Yaiba\ GIF\ by\ Xbox.gif);
  background-size: cover;
  background-position: center;
}
.right-side1 {
  width: 50%;
  background-color: #ffffff;
  height: 100%;
}
.section {
  width: 100%;
  height: 100vh;
  position: relative;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}

.split-container {
  display: flex;
  width: 100%;
  height: 100vh;
  position: relative;
}

.left-side {
  width: 50%;
  background-color: #c74441;
  height: 100%;
}
.right-side {
  width: 50%;
  background-color: #000;
  height: 100%;
}

.center-image {
  position: absolute;
  width: 500px;
  height: auto;
  z-index: 9;
  top: 80%;
  left: 49%;
  transform: translate(-50%, -50%);
  user-select: none;
  pointer-events: none;
}
.center-image1 {
  position: absolute;
  width: 1110px;
  height: auto;
  z-index: 9;
  top: 80%;
  left: 50%;
  transform: translate(-50%, -50%);
  user-select: none;
  pointer-events: none;
  filter: contrast(90%);
  filter: brightness(90%);
}
.textimg {
  position: absolute;
  width: 460px;
  height: auto;
  z-index: 9;
  top: 20%;
  left: 70%;
  transform: translate(-50%, -50%);
  user-select: none;
  pointer-events: none;
}
.text1 {
  position: absolute;
  top: 43%;
  left: 65%;
  font-size: 17px;
  width: 333px;
  height: 299px;
  line-height: 1.6;
  background-color: #fff;
}
.scrolling-text {
  position: absolute;
  bottom: 30%;
  white-space: nowrap;
  font-size: 150px;
  font-weight: bold;
  color: white;
  font-family: "Inter", sans-serif;
  z-index: 8;
  opacity: 0;
}

.start-animation {
  animation: scrollText 100s linear infinite;
  opacity: 1;
}

@keyframes scrollText {
  from {
    transform: translateX(1%);
  }
  to {
    transform: translateX(-100%);
  }
}
.scrolling-text1 {
  position: absolute;
  top: 29%;
  left: 100%;
  transform: translateY(-50%);
  white-space: nowrap;
  font-size: 150px;
  font-weight: bold;
  color: white;
  font-family: "Inter", sans-serif;
  opacity: 0;
  width: max-content;
}

.start-animation1 {
  animation: scrollText1 100s linear infinite;
  opacity: 1;
  transition: opacity 2s ease-in-out;
}

@keyframes scrollText1 {
  from {
    transform: translateX(-0%);
  }
  to {
    transform: translateX(-100%);
  }
}

.footer {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: auto auto auto;
  gap: 8px;
  width: 100%;
  max-width: 100%;
}

.div1,
.div3,
.div4 {
  background-color: rgb(0, 0, 0);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  color: white;
}
.div2 {
  background-color: #c74441;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  color: white;
  position: relative;
  overflow: hidden;
}

.div1 {
  grid-column: 1;
  grid-row: 1;
  height: 198px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  color: white;
  border-bottom: #434343 1px solid;
}

.div3 {
  grid-column: 1;
  grid-row: 2;
  height: 198px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  color: white;
  border-bottom: #434343 1px solid;
}

.div2 {
  grid-column: 2;
  grid-row: 1 / span 2;
  height: 404px;
}

.div4 {
  grid-column: 1 / span 2;
  grid-row: 3;
  width: 98%;
  height: 117px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
}
.contact-first,
.contact-second {
  text-align: center;
}

.contact-first {
  font-size: 18px;
  font-weight: bold;
  padding-left: 50px;
  margin-bottom: 10px;
}

.contact-second {
  font-size: 16px;
  padding-left: 70px;
  font-weight: bold;
  color: #727272;
}
.social-first {
  font-size: 18px;
  font-weight: bold;
  padding-left: 50px;
  margin-bottom: 20px;
}

.social-links {
  display: flex;
  font-weight: bold;
  padding-left: 70px;
  gap: 100px;
  font-size: 18px;
  justify-content: center;
  color: #727272;
}
.copyright,
.rights {
  font-size: 18px;
  color: white;
}

.footer-logo {
  height: 30px;
  margin: 0 20px;
}

.div4 p,
.footer-logo {
  text-align: center;
  margin: 0;
}
.copyright-sign {
  font-size: 24px;
  margin-right: 5px;
}

@media (max-width: 600px) {
  body {
    overflow-x: hidden;
  }
  .copyright,
  .rights {
    font-size: 18px;
    color: white;
  }

  .footer-logo {
    height: 30px;
    margin: 0 20px;
  }
  .copyright-sign,
  .copyright,
  .rights {
    font-size: 14px;
  }
  .navbar {
    width: 97.5%;
    height: 50px;
    padding: 5px;
  }
  .explore-wrapper {
    display: flex;
    align-items: center;
  }

  .explore-btn {
    display: flex;
    align-items: center;
    background-color: #c74441;
    color: white;
    padding: 10px 6px 10px 13px;
    font-size: 15px;
    font-weight: bold;
    border: none;
    border-radius: 30px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    width: 103px;
    height: 36px;
    justify-content: space-between;
  }

  h3 {
    font-size: 15px;
  }

  .circle {
    width: 25px;
    height: 25px;
    background-color: white;
    color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    border-radius: 50%;
    transition: background-color 0.3s ease, color 0.3s ease;
  }

  .explore-btn:hover {
    background-color: #742220;
  }

  .explore-btn:hover .circle {
    background-color: black;
    color: white;
  }
  .logo1 {
    width: 70px;
    height: auto;
    user-select: none;
    pointer-events: none;
  }
  .custom-icon {
    font-size: 15px;
  }
  .custom-icon {
    font-size: 15px;
  }
  .hamburger {
    display: block;
  }

  #nav-links {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 50px;
    left: 0px;
    background-color: rgba(0, 0, 0, 0.9);
    padding: 20px;
    width: 90%;
    text-align: center;
    gap: 30px;
  }

  #nav-links a {
    display: flexboxß;
    padding: 3px 0;
    text-align: center;
    justify-content: center;
    font-size: 15px;
  }

  #nav-links.show {
    display: flex;
    flex-direction: column;
    text-align: center;
  }
  .footer {
    display: flex;
    flex-direction: column;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto auto auto;
    width: max-content;
    max-width: 100%;
  }
  .div1,
  .div2,
  .div3,
  .div4 {
    width: 100%;
    padding: 0px;
  }
  .social-links {
    display: flex;
    flex-direction: row;
    font-weight: bold;
    padding-left: 70px;
    gap: 20px;
    font-size: 11px;
    justify-content: center;
    color: #727272;
  }
  .contact-second {
    font-size: 11px;
  }
  /* Ensure the hamburger icon is visible and clickable */
  .hamburger {
    display: block;
    cursor: pointer;
  }

  #nav-links {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 50px;
    left: 0;
    background-color: rgba(0, 0, 0, 0.9);
    padding: 20px;
    width: 90%;
    text-align: center;
    z-index: 1000;
  }

  #nav-links a {
    display: flex;
    padding: 10px 0;
    text-align: center;
    justify-content: center;
    font-size: 15px;
    color: white;
    text-decoration: none;
  }

  #nav-links.show {
    display: flex;
  }

  .hamburger i {
    font-size: 30px;
    color: white;
  }

  .logo {
    position: absolute;
    top: 30%;
    left: 20px;
    width: 350px;
    height: 300px;
    object-fit: contain;
    user-select: none;
    pointer-events: none;
  }

  .cover {
    width: 100%;
    height: 100vh;
    background-image: url("./assets/slidevs.gif");
    background-size: cover;
    background-position: center;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2rem;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 12;
    animation: slideUp 1.1s ease-out 1.1s forwards;
  }

  @keyframes slideUp {
    0% {
      transform: translateY(0);
    }
    100% {
      transform: translateY(-100%);
    }
  }
  .center-image {
    position: absolute;
    width: 300px;
    height: auto;
    z-index: 9;
    top: 70%;
    left: 47%;
    transform: translate(-50%, -50%);
    user-select: none;
    pointer-events: none;
  }
  .center-image1 {
    position: absolute;
    width: 600px;
    height: auto;
    z-index: 9;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%);
    user-select: none;
    pointer-events: none;
  }
  #second-part {
    background-color: #f4f4f4;
    text-align: center;
    z-index: 11;
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: left;
    justify-content: left;
  }
  .section {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: left;
    justify-content: left;
  }
  .textimg {
    position: absolute;
    width: 200px;
    height: auto;
    z-index: 9;
    top: 17%;
    left: 75%;
    transform: translate(-50%, -50%);
    user-select: none;
    pointer-events: none;
  }
  .text1 {
    position: absolute;
    top: 24%;
    left: 40%;
    font-size: 9px;
    width: 203px;
    height: 299px;
    line-height: 1.6;
    background-color: #ffffff00;
  }
  .cards-container {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 50px 0px;
    gap: 70px;
    background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
      url("https://i.pinimg.com/736x/12/54/ee/1254eef143dc7a7bab3fd9be1c22305d.jpg");
    justify-content: center;
    background-size: cover;
    align-items: center;
    z-index: 11;
  }
}

@media (min-width: 601px) and (max-width: 1024px) {
  .cards-container {
    position: relative;
    display: flex;
    gap: 60px;
    background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
      url("https://i.pinimg.com/736x/12/54/ee/1254eef143dc7a7bab3fd9be1c22305d.jpg");
    background-size: contain;
    padding: 70px;
    justify-content: center;
    z-index: 11;
  }
  .logo {
    width: 800px;
    height: auto;
    object-fit: contain;
    user-select: none;
    pointer-events: none;
  }
  .textimg {
    position: absolute;
    width: 400px;
    height: auto;
    z-index: 9;
    top: 17%;
    left: 75%;
    transform: translate(-50%, -50%);
    user-select: none;
    pointer-events: none;
  }
  .text1 {
    position: absolute;
    top: 34%;
    left: 60%;
    font-size: 13px;
    width: 203px;
    height: 299px;
    line-height: 1.6;
    background-color: #ffffff00;
  }
  .main-card {
    position: relative;
    width: 400px;
    height: 356px;
    border-radius: 57px;
    background: #ccc;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    background-image: url(./assets/solo.png);
    background-size: cover;
    background-position: right;
  }
  .main-card1 {
    position: relative;
    width: 400px;
    height: 356px;
    border-radius: 57px;
    background: #ccc;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    background-image: url(./assets/gojo.png);
    background-size: cover;
    background-position: right;
  }
  .main-card2 {
    position: relative;
    width: 400px;
    height: 356px;
    border-radius: 57px;
    background: #ccc;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    background-image: url(./assets/op.png);
    background-size: cover;
    background-position: right;
  }
  .gradient-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(
      to bottom,
      rgba(94, 94, 94, 0) 0%,
      rgba(47, 47, 47, 0.5) 35%,
      rgba(0, 0, 0, 1) 90%
    );
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
  }
  .gradient-overlay:hover {
    background: linear-gradient(
      to bottom,
      rgba(94, 94, 94, 0) 0%,
      rgba(47, 47, 47, 0.5) 25%,
      rgba(0, 0, 0, 1) 90%
    );
  }
  .tiny-card {
    position: absolute;
    top: 160px;
    left: 20px;
    width: 80px;
    height: 100px;
    border-radius: 18px;
    background: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    background-image: url(./assets/solocover.jpeg);
    background-size: cover;
  }
  .tiny-card1 {
    position: absolute;
    top: 160px;
    left: 20px;
    width: 80px;
    height: 100px;
    border-radius: 18px;
    background: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    background-image: url(./assets/jjkcover.jpg);
    background-size: cover;
  }
  .tiny-card2 {
    position: absolute;
    top: 160px;
    left: 20px;
    width: 80px;
    height: 100px;
    border-radius: 18px;
    background: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    background-image: url(./assets/opcover.png);
    background-size: cover;
  }
  .text-container {
    position: absolute;
    bottom: 72px;
    color: white;
    display: flex;
    gap: 30px;
    font-size: 12px;
    font-weight: bold;
  }

  .order-btn {
    position: absolute;
    bottom: 10px;
    background: #ffffff;
    color: rgb(0, 0, 0);
    border: none;
    padding: 5px 15px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 12px;
    margin-bottom: 20px;
    position: relative;
    z-index: 2;
  }
  .order-btn:hover {
    background: #3e3e3e;
    color: #ffff;
  }
}
@media screen and (min-width: 768px) and (max-width: 1366px) {
  .center-image{
    width: 400px;
    height: auto;
  }
  .center-image1{
    width: 800px;
    height: auto;
  }
}
